org.apache.cassandra.db.rows

## Class Row.Merger

- java.lang.Object
- - org.apache.cassandra.db.rows.Row.Merger

Enclosing interface:
  Row

    public static class Row.Merger
    extends java.lang.Object

Utility class to help merging rows from multiple inputs (UnfilteredRowIterators).

### Constructor Summary

Constructors
Constructor and Description
`Merger(int size, int nowInSec, boolean hasComplex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(int i, Row row)`
`void` `clear()`
`Row` `merge(DeletionTime activeDeletion)`
`Clustering` `mergedClustering()`
`Row[]` `mergedRows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Merger

    public Merger(int size,
                  int nowInSec,
                  boolean hasComplex)

### Method Detail

#### clear

    public void clear()

#### add

    public void add(int i,
                    Row row)

#### merge

    public Row merge(DeletionTime activeDeletion)

#### mergedClustering

    public Clustering mergedClustering()

#### mergedRows

    public Row[] mergedRows()